> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-zh/tong-xin/chuan-shu-lei-xing/signed-login.md).

# 签名登录

Signed Login 传输可供希望自定义客户端分配到各个岛屿方式的服务器使用，用其架构中的 Archipelago 进行替换或封装。

与直接连接到实时后端不同，Signed Login 会发起一个 [签名 fetch](https://github.com/decentraland/docs/tree/main/contributor/auth/signed_fetch/README.md) 来获取连接字符串。这个中间步骤允许服务器采用其想要的任何分配策略。

Signed Login URI 具有如下形式：

```
signed-login:https://comms.example.com/auth&param=value
```

在 `signed-login:` 前缀之后的部分可以是任何有效的 URL。

### 用法

Signed Login 请求使用 [签名 fetch](https://github.com/decentraland/docs/tree/main/contributor/auth/signed_fetch/README.md) 机制。

响应如果成功，将具有状态 `200` 以及一个包含 *至少* 以下字段的 JSON 正文：

| 字段             | 类型    | 值                                      |
| -------------- | ----- | -------------------------------------- |
| `fixedAdapter` | `字符串` | 分配到的传输 URI（例如 `livekit:` 或 `ws-room:`) |

例如：

```
{ 
  fixedAdapter: "ws-room:wss://comms.example.com/rooms/17"
}
```

如果失败，响应可以具有任何适当的状态码，以及一个包含 *至少* 以下字段的 JSON 正文：

| 字段   | 类型    | 值                  |
| ---- | ----- | ------------------ |
| `消息` | `字符串` | （可选）对失败原因的说明或错误代码。 |

JSON 正文中包含额外字段的响应也是有效的，而错误内容的 `消息` 未作规定。实现可以利用这种灵活性，将 `signed-login:` 以其认为合适的方式集成到自己的应用程序中。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-zh/tong-xin/chuan-shu-lei-xing/signed-login.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
